#include <QGuiApplication>
#include <QQmlApplicationEngine>
#ifdef DIRECT_LINK_LIB
#include <lib.h>
#endif

int main(int argc, char *argv[])
{
	QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
	qputenv("QML2_IMPORT_PATH", QML_IMPORT_PATH);

	QGuiApplication app(argc, argv);

#ifdef DIRECT_LINK_LIB
	Lib libClass;
#endif

	QQmlApplicationEngine engine;
	engine.load(QUrl(QStringLiteral("qrc:/main.qml")));
	if (engine.rootObjects().isEmpty())
		return -1;

	return app.exec();
}
