#ifndef QMLPLUGIN_H
#define QMLPLUGIN_H

#include <QQmlExtensionPlugin>
#include "lib.h"

class TestClass : public Lib
{
	Q_OBJECT

	Q_PROPERTY(QString bar MEMBER bar NOTIFY barChanged)

public:
	TestClass(QObject *parent = nullptr);

signals:
	void barChanged(const QString &bar);

private:
	QString bar;
};

class QmlPlugin : public QQmlExtensionPlugin
{
	Q_OBJECT
	Q_PLUGIN_METADATA(IID QQmlExtensionInterface_iid)

public:
	QmlPlugin(QObject *parent = nullptr);

	void registerTypes(const char *uri) override;
};

#endif // QMLPLUGIN_H
